> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.box/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Voice 获取验证短句

> 查询 Suno Voice 任务的验证短句生成结果。

### 使用指南

* 使用验证短句生成接口或重新生成接口返回的 `taskId` 查询。
* 当任务状态为 `wait_validating` 时，读取 `validateInfo` 并让用户录制该短句。
* 如果任务失败，请根据 `errorCode` 和 `errorMessage` 判断是否重试。

### 状态说明

| 状态                         | 含义                 |
| -------------------------- | ------------------ |
| `wait_processing`          | 任务等待处理中            |
| `processing_validate`      | 正在生成验证短句           |
| `processing_validate_fail` | 验证短句生成失败           |
| `wait_validating`          | 短句已生成，等待用户录制验证音频验证 |
| `success`                  | 完整音色创建流程已完成        |
| `fail`                     | 任务失败               |

### 下一步

<Card title="生成音色" icon="lucide-mic" href="/cn/suno-api/suno-voice-generate">
  提交验证音频并创建最终自建音色
</Card>


## OpenAPI

````yaml /cn/suno-api/suno-voice-api-cn.json GET /api/v1/voice/validate-info
openapi: 3.0.1
info:
  title: Suno Voice API
  description: Suno Voice 自建音色 API 文档
  version: 1.0.0
  contact:
    name: Technical Support
    email: support@api.box
servers: []
security:
  - BearerAuth: []
tags:
  - name: docs
  - name: docs/zh-CN
  - name: docs/zh-CN/Market
  - name: docs/zh-CN/Market/Suno API
  - name: docs/zh-CN/Market/Suno API/voice
  - name: suno接口/voice
paths:
  /api/v1/voice/validate-info:
    get:
      tags:
        - docs/zh-CN/Market/Suno API/voice
        - suno接口/voice
      summary: Suno Voice获取验证短句接口
      description: >
        查询 Suno Voice 任务的验证短句生成结果。


        使用验证短句生成接口或重新生成接口返回的 `taskId` 调用此接口。当任务准备完成后，响应中的 `validateInfo`
        即为用户需要录制的验证短句。


        ## 状态处理


        根据 `status` 字段判断下一步操作：


        - `wait_processing` 或 `processing_validate`：验证短句仍在生成中

        - `processing_validate_fail` 或 `fail`：任务失败，请查看 `errorMessage` 获取失败原因

        - `wait_validating`：验证短句已生成，等待用户录制验证音频

        - `success`：验证和音色创建流程已完成


        ## 继续流程


        获取 `validateInfo`
        后，请录制或上传用户完成验证短句的音频，并提交到音色生成接口。为获得更佳的音色生成效果，建议采用演唱方式录制。


        <Card
          title="生成音色"
          icon="lucide-mic"
          href="/cn/suno-api/suno-voice-generate"
        >
          提交用户的验证音频并生成最终的自建音色
        </Card>


        相关资源


        <CardGroup cols={2}>
          <Card title="生成验证短句" icon="lucide-file-audio" href="/cn/suno-api/suno-voice-validate"> 根据源音频创建验证短句 </Card>
          <Card title="重新生成验证短句" icon="lucide-refresh-cw" href="/cn/suno-api/suno-voice-regenerate"> 为已有任务生成新的验证短句 </Card>
        </CardGroup>
      operationId: suno-voice-validate-info
      parameters:
        - name: taskId
          in: query
          description: 任务id
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      taskId:
                        description: 任务id
                        type: string
                      validateInfo:
                        type: string
                        description: 验证短句文本
                      status:
                        type: string
                        description: 任务状态
                        enum:
                          - wait_processing
                          - processing_validate
                          - processing_validate_fail
                          - wait_validating
                          - success
                          - fail
                      errorCode:
                        type: integer
                        description: 错误码，任务失败时返回。
                      errorMessage:
                        type: string
                        description: 错误信息，任务失败时返回。
                    required:
                      - taskId
                      - validateInfo
                      - status
                      - errorCode
                      - errorMessage
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  taskId: xxx_task_id_xxx
                  validateInfo: Harmonies fill the air with joyful melodies tonight
                  status: >-
                    wait_processing,processing_validate:等待验证码,processing_validate_fail:获取验证码失败,wait_validating:等待验证，success,fail
                  errorCode: 500
                  errorMessage: xxxxx
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |-
        # API 认证说明

        所有接口都需要通过 Bearer Token 方式进行认证。

        ## 获取 API Key

        1. 访问 [API Key 管理页面](https://api.box/api-key) 获取您的 API Key

        ## 使用方式

        在请求头中添加：

        ```
        Authorization: Bearer YOUR_API_KEY
        ```

        > **注意：**
        > - 请妥善保管您的 API Key，不要泄露给他人
        > - 如果怀疑 API Key 泄露，请立即在管理页面重置

````